## visad.data.mcidas
Class AddeTextAdapter

    java.lang.Object
      visad.data.mcidas.AddeTextAdapter

public class AddeTextAdapter
extends Object

Adapts text read from an ADDE server into a VisAD Text object

Constructor Summary
`AddeTextAdapter(String textSource)` Create a VisAD Text object from an adde request

Method Summary
`Text` `getData()` Return the Text object representing the request.
`Text` `getDataAsHTML()` Return the Text object representing the request with HTML formatting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddeTextAdapter

    public AddeTextAdapter(String textSource)
                    throws VisADException

  Create a VisAD Text object from an adde request

Parameters:
  `textSource` - ADDE URL of request
Throws:
  `IOException` - if there was a problem reading the file.
  `VisADException` - if an unexpected problem occurs.

Method Detail

### getData

    public Text getData()

  Return the Text object representing the request.

  Returns:
    request as Text

### getDataAsHTML

    public Text getDataAsHTML()

  Return the Text object representing the request with HTML formatting.

  Returns:
    request as Text bracketed with

         tags